OSSM Devices
Get OSSM device by ID
Returns detailed information about a specific Open Source Sex Machine device.
GET
/
ossm
/
{id}
Get OSSM device by ID
curl --request GET \
--url https://dashboard.researchanddesire.com/api/v1/ossm/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.researchanddesire.com/api/v1/ossm/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.researchanddesire.com/api/v1/ossm/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": 1,
"bubbleId": "ossm-001",
"macAddress": "AA:11:BB:22:CC:33",
"chip": "ESP32-S3",
"ownerId": 42,
"pairingCode": "ABCD1234",
"pairingExpires": "2026-02-19T12:00:00Z",
"lastVisited": "2026-02-18T12:00:00Z",
"OSSMFirmwareId": 5
}
}{
"ok": false,
"error": "Invalid ID"
}{
"ok": false,
"error": "Unauthorized"
}{
"ok": false,
"error": "OSSM device not found"
}Was this page helpful?
⌘I
Get OSSM device by ID

